Bug 620454 (CVE-2010-2801) - CVE-2010-2801 cabextract: Integer wrap-around (crash) by processing certain *.cab files in test archive mode
Summary: CVE-2010-2801 cabextract: Integer wrap-around (crash) by processing certain *...
Status: CLOSED ERRATA
Alias: CVE-2010-2801
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100730,reported=20100730,sou...
Keywords: Security
Depends On: 620457
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-02 15:00 UTC by Jan Lieskovsky
Modified: 2015-08-22 16:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 16:07:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-08-02 15:00:35 UTC
An integer wrap-around flaw has been reported in the way cabextract
processed certain Cabinet (*.cab) archive files. If a local user was
tricked into opening a specially-crafted *.cab archive in test archive
mode, it could lead to cabextract executable crash.

References:
  [1] http://bugs.gentoo.org/show_bug.cgi?id=329891

Upstream patches:
  [2] http://libmspack.svn.sourceforge.net/viewvc/libmspack/libmspack/trunk/mspack/qtmd.c?r1=114&r2=113
  [3] http://libmspack.svn.sourceforge.net/viewvc/libmspack?view=revision&revision=118

Comment 1 Jan Lieskovsky 2010-08-02 15:03:32 UTC
This issue affects the versions of the cabextract package,
as shipped with Fedora release of 12 and 13.

Please fix.

Comment 2 Jan Lieskovsky 2010-08-02 15:09:16 UTC
Created cabextract tracking bugs for this issue

Affects: fedora-all [bug 620457]

Comment 3 Jan Lieskovsky 2010-08-03 08:34:07 UTC
The CVE identifier of CVE-2010-2801 has been assigned to this.

Comment 4 Dan Horák 2010-08-28 08:44:08 UTC
cabextract (together with wine and openoffice.org per libmspack upstream) should use the system-wide libmspack library instead of an embedded copy


Note You need to log in before you can comment on or make changes to this bug.